#!/bin/bash

tar xf vmblock.tar
tar xf vmmon.tar
tar xf vmnet.tar
mv vmblock.tar vmblock.tar.orig
mv vmmon.tar vmmon.tar.orig
mv vmnet.tar vmnet.tar.orig
cd vmmon-only/
patch -p1 < ../patches/vmmon.patch
cd ..
cd vmnet-only/
patch -p1 < ../patches/vmnet.patch
cd ..
cd vmblock-only/
patch -p1 < ../patches/vmblock.patch
cd ..
tar cf vmblock.tar vmblock-only/
tar cf vmnet.tar vmnet-only/
tar cf vmmon.tar vmmon-only/
rm -fr vmblock-only/ vmnet-only/ vmmon-only/